<template>
  <div>
    <el-dialog :visible.sync="dialogVisible" width="800px" append-to-body class="stu">
      <div class="infoTitle">
        <div>批次名称：XXXXX</div>
        <div style="margin-left: 35px">管辖行政区划：XXXxxxx</div>
      </div>
      <div class="infoTitle">
        <div>考试点名称：XXXXX</div>
      </div>
      <el-form :model="form"  ref="ruleForm" label-width="125px">
        <el-row :gutter="24">
          <el-col :span="8">
            <el-form-item label="缴费周期：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="缴费类型：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row :gutter="24">
          <el-col :span="8">
            <el-form-item label="理论类别：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="实操类别：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row :gutter="24">
          <el-col :span="6">
            <el-form-item label="单人应缴：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
          <el-col :span="6">
            <el-form-item label="总计应缴费：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
          <el-col :span="6">
            <el-form-item label="已完成缴费：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
          <el-col :span="6">
            <el-form-item label="剩余未缴费：" prop="timeRange">
              <span>xxxx</span>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row :gutter="24">
          <el-col :span="6">
            <el-form-item label="当前总计应缴：" prop="timeRange">
              <span>xxxx人</span>
            </el-form-item>
          </el-col>
          <el-col :span="6">
            <el-form-item label="已完成缴费：" prop="timeRange">
              <span>xxxx人</span>
            </el-form-item>
          </el-col>
          <el-col :span="6">
            <el-form-item label="当前未完成缴费：" prop="timeRange">
              <span>xxxx人</span>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>

  <!--    表格-->
      <div style="margin: 20px 15px;display: flex">
        <el-button size="small"  type="primary" @click="handleAddStu('add',{})">添加学员</el-button>
        <el-button size="small"  type="primary" >批量导入</el-button>
      </div>
      <el-table v-loading="loading" :data="stuList">
        <el-table-column label="序号" align="center" type="index" />
        <el-table-column label="姓名" align="center" prop="createTime" />
        <el-table-column label="身份证号" align="center" prop="batchName" />
        <el-table-column label="手机号" align="center" prop="batchName" />
        <el-table-column label="性别" align="center" prop="batchName" />
        <el-table-column label="财政缴款码" align="center" prop="batchName" />
        <el-table-column label="是否已缴" align="center" prop="batchName" />
      </el-table>
      <pagination
        v-show="total>0"
        :total="total"
        :page.sync="queryParams.pageNum"
        :limit.sync="queryParams.pageSize"
        @pagination="getStuList"
      />
    </el-dialog>
    <add-stu-dialog ref="addStuDialogRef" @getList = "getStuList"></add-stu-dialog>
 </div>
</template>
<script>
import addStuDialog from './addStuDialog.vue'

export default {
  name: 'addStu',
  components: {
    addStuDialog
  },
  data() {
    return {
      open: false,
      id: null,
      dialogVisible: false,
      loading: false,
      stuList: [],
      form: {
        id: null,
        staffId: null,
        timeRange: [],
        startTime: '',
        endTime: '',
        unit: ''
      },
      total: 0,
      queryParams: {
        pageNum: 1,
        pageSize: 10,
      },
    };
  },
  methods: {
    openDialog(val) {
      this.dialogVisible = true;
    },
    getStuList () {

    },
    handleAddStu(type,data){
      this.$refs.addStuDialogRef.openDialog(type, data);
    }
  }
}

</script>

<style scoped lang="scss">
.stu{
  ::v-deep .el-form-item {
   margin-bottom: 5px;
  }
  .infoTitle{
    margin-bottom:10px;
    margin-left: 40px;
    display: flex;
    font-weight: 800;
    font-size: 16px
  }

}

</style>
